> ## Documentation Index
> Fetch the complete documentation index at: https://tokenterminal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of all assets

> Use this endpoint to retrieve a list of all assets that are available on the API.




## OpenAPI

````yaml /api-reference/openapi.json get /v2/assets
openapi: 3.0.0
info:
  title: Token Terminal API
  termsOfService: https://tokenterminal.com/terms
  version: 2.0.0
servers:
  - url: https://api.tokenterminal.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/assets:
    get:
      tags:
        - Assets
      summary: Get a list of all assets
      description: >
        Use this endpoint to retrieve a list of all assets that are available on
        the API.
      parameters:
        - name: asset_ids
          in: query
          description: >
            List of asset IDs to filter by.


            Allows you to select one or more assets. When including multiple
            assets, separate each one with a comma. Example: `usdc,usdt`.
          explode: false
          schema:
            type: array
            items:
              type: string
          example:
            - usdc
            - usdt
        - name: asset_types
          in: query
          description: >
            List of asset types to filter by.


            Allows you to filter assets by their type. When including multiple
            types, separate each one with a comma.
          explode: false
          schema:
            type: array
            items:
              type: string
        - name: market_sectors
          in: query
          description: >
            List of market sector IDs to filter assets by.


            Allows you to select one or more market sectors to filter the
            results. Only assets belonging to any of the specified market
            sectors will be included. When including multiple market sectors,
            separate each one with a comma. Example: `blockchains-l1,lending`.


            The full list of available market sectors can be retrieved from the
            `/v2/market-sectors` endpoint.
          explode: false
          schema:
            type: array
            items:
              type: string
          example:
            - blockchains-l1
            - lending
        - name: limit
          in: query
          description: Maximum number of assets to return.
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            default: 1000
        - name: offset
          in: query
          description: Number of assets to skip for pagination.
          schema:
            type: integer
            minimum: 0
            default: 0
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        asset_id:
                          type: string
                          description: >-
                            Required input on the API when retrieving data for
                            an asset.
                        asset_type:
                          type: string
                          nullable: true
                          description: The type of the asset.
                        name:
                          type: string
                          description: The asset's name.
                        symbol:
                          type: string
                          description: The asset's ticker symbol.
                        coingecko_id:
                          type: string
                          nullable: true
                          description: The Coingecko ID for the asset.
                        addresses:
                          type: array
                          description: >-
                            List of addresses where the asset exists across
                            different chains.
                          items:
                            type: object
                            properties:
                              chain_id:
                                type: string
                                nullable: true
                                description: The chain ID where the asset exists.
                              token_address:
                                type: string
                                nullable: true
                                description: The token contract address on the chain.
                              token_name:
                                type: string
                                nullable: true
                                description: The token name on the chain.
                              token_symbol:
                                type: string
                                nullable: true
                                description: The token symbol on the chain.
                        products:
                          type: array
                          description: List of products associated with this asset.
                          items:
                            type: object
                            properties:
                              data_id:
                                type: string
                                description: The project data ID.
                              product_id:
                                type: string
                                description: The product ID.
                              tags:
                                type: array
                                items:
                                  type: string
                                description: Tags associated with the product.
                              relation_to_the_project:
                                type: string
                                nullable: true
                                description: >-
                                  The relationship of the asset to the project
                                  (e.g., "issuer").
                        created_at:
                          type: string
                          description: Timestamp when the asset was created.
                        inserted_at:
                          type: string
                          description: >-
                            Timestamp when the asset was inserted into the
                            database.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````